<?php 
$placeholder = '600x500';
$master_class = 'col-md-12';
$thumbnail_class = 'col-md-4';
$post_details_class = 'col-md-8';
$type_class = 'list-view';
$image_size = 'openhub_about_625x415';
if ( openhub_redux('mt_blog_display_type') == 'list' ) {
    $master_class = 'col-md-12';
    $thumbnail_class = 'col-md-4';
    $post_details_class = 'col-md-8';
    $type_class = 'list-view';
} else {
    if ( openhub_redux('mt_blog_grid_columns') == 1 ) {
        $master_class = 'col-md-12';
        $type_class .= ' grid-one-column';
        $placeholder = '900x500';
    }elseif ( openhub_redux('mt_blog_grid_columns') == 2 ) {
        $master_class = 'col-md-6';
        $type_class .= ' grid-two-columns';
        $placeholder = '900x500';
    }elseif ( openhub_redux('mt_blog_grid_columns') == 3 ) {
        $master_class = 'col-md-4';
        $type_class .= ' grid-three-columns';
        $placeholder = '600x500';
    }elseif ( openhub_redux('mt_blog_grid_columns') == 4 ) {
        $master_class = 'col-md-3';
        $type_class .= ' grid-four-columns';
        $placeholder = '600x500';
    }
    $thumbnail_class = 'full-width-part';
    $post_details_class = 'full-width-part';
} 
// THUMBNAIL
$post_img = '';
$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'openhub_about_625x415' );
if ($thumbnail_src) {
$post_img = '<div class="grid">
      <figure class="effect-apollo">
        <img class="blog_post_image" src="'. esc_url($thumbnail_src[0]) . '" alt="'.get_the_title().'" />
        <figcaption></figcaption>
      </figure>
    </div>';
    $post_col = 'col-md-6';
} else {
    $post_col = 'col-md-12 no-featured-image';
}


$content_post   = get_post(get_the_ID());
$content        = $content_post->post_content;
$content        = apply_filters('the_content', $content);
$content        = str_replace(']]>', ']]&gt;', $content);
$content        = strip_tags($content);
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single-post '.esc_attr($master_class).' '.esc_attr($type_class)); ?> > 
    <div class="blog_custom">
        <?php if ( function_exists('modeltheme_framework')) { ?>
                    <!-- ////////content for GRID View//////// -->
                    <?php if ( openhub_redux('mt_blog_display_type') == 'grid' ) { ?>
                        <?php if ($post_img) { ?>
                            <!-- POST THUMBNAIL -->
                            <?php if ( openhub_redux('mt_blog_display_type') == 'list' ) { ?>
                                <div class="col-md-6 post-thumbnail">
                                    <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                                        <?php echo wp_kses_post($post_img); ?>
                                    </a>
                                </div>
                                <?php } else { ?>
                                    <div class="col-md-12 post-thumbnail">
                                        <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                                            <?php echo wp_kses_post($post_img); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                        <?php } ?>                    
                        <!-- POST DETAILS -->
                        <?php if ( openhub_redux('mt_blog_display_type') == 'grid' ) { ?>
                        <div class="col-md-12 post-details">
                        <?php } else { ?>
                        <div class="<?php echo esc_attr($post_col); ?> post-details">
                        <?php } ?>
                            <div class="post-pading-small">                        
                                <h3 class="post-name row">
                                    <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                                        <?php if(is_sticky(get_the_ID())){ ?>
                                            <span class="post-sticky-label">
                                                <i class="fa fa-bookmark"></i>
                                            </span>
                                        <?php } ?>
                                        <?php the_title() ?>
                                    </a>
                                </h3>
                                <div class="post-category-comment-date row">
                                    <div class="post-date">
                                        <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                                            <i class="icon-calendar"></i>
                                            <span class="blog_date"><?php echo get_the_date(); ?></span>
                                        </a>
                                    </div>
                                    <span class="post-tags">
                                        <?php echo get_the_term_list( get_the_ID(), 'category', '<i class="icon-tag"></i>', ', ' ); ?>
                                    </span>
                                    <span class="post-author"><i class="icon-user icons"></i><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) )); ?>"><?php echo get_the_author(); ?></a></span>
                                    <span class="post-comments"><i class="icon-bubbles icons"></i><a href="<?php echo esc_url(the_permalink()).'#comments'; ?>"><?php comments_number( '0', '1', '%' ); ?></a></span>  
                                </div>
                                <div class="post-excerpt row">
                                    <?php echo openhub_excerpt_limit($content, 50); ?>
                                    <div class="clearfix"></div>
                                    <p>
                                        <a href="<?php esc_url(the_permalink()); ?>" class="more-link">
                                            <?php echo esc_html__( 'Read More ', 'openhub' ); ?><i class="fa fa-angle-double-right" aria-hidden="true"></i>
                                        </a>
                                    </p>
                                <?php
                                    wp_link_pages( array(
                                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'openhub' ),
                                        'after'  => '</div>',
                                    ) );
                                ?>
                                </div>
                            </div>
                        </div>
                    <!-- ////////content for LIST View//////// -->
                    <?php } elseif ( openhub_redux('mt_blog_display_type') == 'list' ) { ?>
                        <!-- POST DETAILS -->
                        <?php if ( openhub_redux('mt_blog_display_type') == 'grid' ) { ?>
                        <div class="col-md-12 post-details">
                        <?php } else { ?>
                        <div class="<?php echo esc_attr($post_col); ?> post-details">
                        <?php } ?>
                            <div class="post-pading-small">
                                <h3 class="post-name row">
                                    <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                                            <?php if(is_sticky(get_the_ID())){ ?>
                                                <span class="post-sticky-label">
                                                    <i class="fa fa-bookmark"></i>
                                                </span>
                                            <?php } ?>
                                        <?php the_title() ?>
                                    </a>
                                </h3>
                                <div class="post-category-comment-date row">
                                    <span class="post-date">
                                        <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                                            <i class="icon-calendar"></i>
                                            <?php echo get_the_date(); ?>
                                        </a>
                                    </span>
                                    <span class="post-tags">
                                        <?php echo get_the_term_list( get_the_ID(), 'category', '<i class="icon-tag"></i>', ', ' ); ?>
                                    </span>
                                    <span class="post-author"><i class="icon-user icons"></i><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) )); ?>"><?php echo get_the_author(); ?></a></span>
                                    <span class="post-comments"><i class="icon-bubbles icons"></i><a href="<?php echo esc_url(the_permalink()).'#comments'; ?>"><?php comments_number( '0', '1', '%' ); ?></a></span>  
                                </div>
                                <div class="post-excerpt row">
                                    <?php echo openhub_excerpt_limit($content, 50); ?>
                                    <div class="clearfix"></div>
                                    <p>
                                        <a href="<?php esc_url(the_permalink()); ?>" class="more-link">
                                            <?php echo esc_html__( 'Read More ', 'openhub' ); ?><i class="fa fa-angle-double-right" aria-hidden="true"></i>
                                        </a>
                                    </p>
                                <?php
                                    wp_link_pages( array(
                                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'openhub' ),
                                        'after'  => '</div>',
                                    ) );
                                ?>
                                </div>
                            </div>
                        </div>
                        <?php if ($post_img) { ?>
                            <!-- POST THUMBNAIL -->
                            <?php if ( openhub_redux('mt_blog_display_type') == 'list' ) { ?>
                                <div class="col-md-6 post-thumbnail">
                                    <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                                        <?php echo wp_kses_post($post_img); ?>
                                    </a>
                                </div>
                                <?php } else { ?>
                                    <div class="col-md-12 post-thumbnail">
                                        <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                                            <?php echo wp_kses_post($post_img); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                        <?php } ?>
                    <?php } ?>
        <?php } else { ?>
                <!-- POST DETAILS -->
                <div class="<?php echo esc_attr($post_col); ?> post-details">
                    <div class="post-pading-small">
                        <h3 class="post-name row">
                            <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                                <?php if(is_sticky(get_the_ID())){ ?>
                                    <span class="post-sticky-label">
                                        <i class="fa fa-bookmark"></i>
                                    </span>
                                <?php } ?>
                                <?php the_title() ?>
                            </a>
                        </h3>                       
                        <div class="post-category-comment-date row">
                            <div class="post-date">
                                <a title="<?php the_title_attribute() ?>" href="<?php esc_url(the_permalink()); ?>">
                                    <i class="icon-calendar"></i>
                                    <span class="blog_date"><?php echo get_the_date(); ?></span>
                                </a>
                            </div>
                            <span class="post-tags">
                                <?php echo get_the_term_list( get_the_ID(), 'category', '<i class="icon-tag"></i>', ', ' ); ?>
                            </span>
                            <span class="post-author"><i class="icon-user icons"></i><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) )); ?>"><?php echo get_the_author(); ?></a></span>
                            <span class="post-comments"><i class="icon-bubbles icons"></i><a href="<?php echo esc_url(the_permalink()).'#comments'; ?>"><?php comments_number( '0', '1', '%' ); ?></a></span>  
                        </div>
                        <div class="post-excerpt row">
                        <?php echo openhub_excerpt_limit($content, 50); ?>
                        <div class="clearfix"></div>
                        <p>
                            <a href="<?php esc_url(the_permalink()); ?>" class="more-link">
                                <?php echo esc_html__( 'Read More ', 'openhub' ); ?><i class="fa fa-angle-double-right" aria-hidden="true"></i>
                            </a>
                        </p>
                        <?php
                            wp_link_pages( array(
                                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'openhub' ),
                                'after'  => '</div>',
                            ) );
                        ?>
                        </div>
                    </div>
                </div>
                <?php if ($post_img) { ?>
                    <!-- POST THUMBNAIL -->
                    <div class="col-md-6 post-thumbnail">
                        <a href="<?php esc_url(the_permalink()); ?>" class="relative">
                            <?php echo wp_kses_post($post_img); ?>
                        </a>
                    </div>
                <?php } ?>
        <?php } ?>
    </div>
</article>