<?php
// Logo Source
function openhub_logo_source(){  
    // REDUX VARIABLE
    global $openhub_redux;
    // html VARIABLE
    $html = '';
    // Metaboxes
    $mt_header_semitransparent = get_post_meta( get_the_ID(), 'mt_header_semitransparent', true );
    $mt_metabox_header_logo = get_post_meta( get_the_ID(), 'mt_metabox_header_logo', true );
    if (is_page()) {
        if (isset($mt_metabox_header_logo) && isset($mt_header_semitransparent) && $mt_header_semitransparent == 'enabled') {
            $html .='<img class="logo-metabox" src="'.esc_url($mt_metabox_header_logo).'" alt="'.esc_attr(get_bloginfo()).'" />';
        }else{
            if(!empty($openhub_redux['mt_logo']['url'])){
                $html .='<img class="logo-redux" src="'.esc_url($openhub_redux['mt_logo']['url']).'" alt="'.esc_attr(get_bloginfo()).'" />';
            }
        }
    }else{
        if(!empty($openhub_redux['mt_logo']['url'])){
            $html .='<img class="logo-redux" src="'.esc_url($openhub_redux['mt_logo']['url']).'" alt="'.esc_attr(get_bloginfo()).'" />';
        }
        else{
            $html .= esc_attr(get_bloginfo());
        }
    }
    return $html; 
}

// Logo Area
function openhub_logo(){
if ( class_exists( 'ReduxFrameworkPlugin' ) ) {

    global $openhub_redux;

    // html VARIABLE
    $html = '';

    $html .='<div class="logo logo-image">';
        $html .='<a href="'.esc_url(get_site_url()).'">';
            $html .= openhub_logo_source();
        $html .='</a>';
    $html .='</div>';

    return $html;

    // REDUX VARIABLE

 } else {

    global $openhub_redux;

    // html VARIABLE
    $html = '';

    $html .='<div class="logo logo-h">';
        $html .='<a href="'.esc_url(get_site_url()).'">';
            $html .= get_bloginfo();
        $html .='</a>';
    $html .='</div>';

    return $html;
 }  
}

// CHECK IF PLUGIN ACTIVE OR NOT
function openhub_get_metabox( $metabox_id ) {

    $meta = get_post_meta( get_the_ID(), $metabox_id, true );

    if (isset($meta)) {
        return $meta;
    }

    return false;
}

//GET HEADER TITLE/BREADCRUMBS AREA
function openhub_header_title_breadcrumbs(){

    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

    $html = '';
    $html .= '<div class="header-title-breadcrumb relative">';
        $html .= '<div class="header-title-breadcrumb-overlay text-center">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-7 col-sm-6 col-xs-6 text-left">';
                                    if (is_single() || is_page()) {
                                        $html .= '<h1>'.get_the_title().'</h1>';
                                    }elseif (is_search()) {
                                        $html .= '<h1>'.esc_html__( 'Search Results for: ', 'openhub' ) . get_search_query().'</h1>';
                                    }elseif (is_category()) {
                                        $html .= '<h1>'.esc_html__( 'Category: ', 'openhub' ).' <span>'.single_cat_title( '', false ).'</span></h1>';
                                    }elseif (is_tag()) {
                                        $html .= '<h1>'.esc_html__( 'Tag Archives: ', 'openhub' ) . single_tag_title( '', false ).'</h1>';
                                    }elseif (is_author() || is_archive()) {
                                        $html .= '<h1>'.get_the_archive_title() . get_the_archive_description().'</h1>';
                                    }elseif (is_home()) {
                                        $html .= '<h1>'.esc_html__( 'From the Blog', 'openhub' ).'</h1>';
                                    }else {
                                        $html .= '<h1>'.get_the_title().'</h1>';
                                    }
                      $html .= '</div>
                                <div class="col-md-5 col-sm-6 col-xs-6">
                                    <ol class="breadcrumb text-right">'.openhub_breadcrumb().'</ol>                    
                                </div>
                            </div>
                        </div>
                    </div>';

    $html .= '</div>';
    $html .= '<div class="clearfix"></div>';
    return $html;
}

function openhub_sharer($tooltip_placement){
	$html = '';
	$html .= '<div class="article-social">
                <ul class="social-sharer">
                    <li class="facebook">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="http://www.facebook.com/share.php?u='.get_permalink().'&amp;title='.get_the_title().'"><i class="icon-social-facebook"></i></a>
                    </li>
                    <li class="twitter">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="http://twitter.com/home?status='.get_the_title().'+'.get_permalink().'"><i class="icon-social-twitter"></i></a>
                    </li>
                    <li class="google-plus">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="https://plus.google.com/share?url='.get_permalink().'"><i class="icon-social-gplus"></i></a>
                    </li>
                    <li class="pinterest">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="http://pinterest.com/pin/create/bookmarklet/?media='.get_permalink().'&url='.get_permalink().'&is_video=false&description='.get_permalink().'"><i class="icon-social-pinterest"></i></a>
                    </li>
                    <li class="linkedin">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.get_permalink().'&amp;title='.get_the_title().'&amp;source='.get_permalink().'"><i class="icon-social-linkedin"></i></a>
                    </li>
                    <li class="reddit">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="http://www.reddit.com/submit?url='.get_permalink().'&amp;title='.get_the_title().'"><i class="icon-social-reddit"></i></a>
                    </li>
                    <li class="tumblr">
                        <a data-toggle="tooltip" title="'.the_title_attribute('echo=0').'" data-placement="'.esc_attr($tooltip_placement).'" href="http://www.tumblr.com/share?v=3&amp;u='.get_permalink().'&amp;t='.get_the_title().'"><i class="icon-social-tumblr"></i></a>
                    </li>
                </ul>
            </div>';

	return $html;
}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( function_exists( 'modeltheme_framework' ) ) {
    function openhub_dfi_ids($postID){
        global  $dynamic_featured_image;
        $featured_images = $dynamic_featured_image->get_featured_images( $postID );
        //Loop through the image to display your image
        if( !is_null($featured_images) ){
            $medias = array();
            foreach($featured_images as $images){
                $attachment_id = $images['attachment_id'];
                $medias[] = $attachment_id;
            }
            $ids = '';
            $len = count($medias);
            $i = 0;
            foreach($medias as $media){
                if ($i == $len - 1) {
                    $ids .= $media;
                }else{
                    $ids .= $media . ',';
                }
                $i++;
            }
        } 
        return $ids;
    }
}

function openhub_get_currency_symbol( $currency = '' ) {
    if ( !$currency ) {
        $currency = openhub_redux('mt_cars_settings_currency');
    }
    switch ( $currency ) {
        case 'AED' :
            $currency_symbol = 'د.إ';
            break;
        case 'AUD' :
        case 'CAD' :
        case 'CLP' :
        case 'COP' :
        case 'HKD' :
        case 'MXN' :
        case 'NZD' :
        case 'SGD' :
        case 'USD' :
            $currency_symbol = '&#36;';
            break;
        case 'BDT':
            $currency_symbol = '&#2547;&nbsp;';
            break;
        case 'BGN' :
            $currency_symbol = '&#1083;&#1074;.';
            break;
        case 'BRL' :
            $currency_symbol = '&#82;&#36;';
            break;
        case 'CHF' :
            $currency_symbol = '&#67;&#72;&#70;';
            break;
        case 'CNY' :
        case 'JPY' :
        case 'RMB' :
            $currency_symbol = '&yen;';
            break;
        case 'CZK' :
            $currency_symbol = '&#75;&#269;';
            break;
        case 'DKK' :
            $currency_symbol = 'kr.';
            break;
        case 'DOP' :
            $currency_symbol = 'RD&#36;';
            break;
        case 'EGP' :
            $currency_symbol = 'EGP';
            break;
        case 'EUR' :
            $currency_symbol = '&euro;';
            break;
        case 'GBP' :
            $currency_symbol = '&pound;';
            break;
        case 'HRK' :
            $currency_symbol = 'Kn';
            break;
        case 'HUF' :
            $currency_symbol = '&#70;&#116;';
            break;
        case 'IDR' :
            $currency_symbol = 'Rp';
            break;
        case 'ILS' :
            $currency_symbol = '&#8362;';
            break;
        case 'INR' :
            $currency_symbol = '₹';
            break;
        case 'ISK' :
            $currency_symbol = 'Kr.';
            break;
        case 'KIP' :
            $currency_symbol = '&#8365;';
            break;
        case 'KRW' :
            $currency_symbol = '&#8361;';
            break;
        case 'MYR' :
            $currency_symbol = '&#82;&#77;';
            break;
        case 'NGN' :
            $currency_symbol = '&#8358;';
            break;
        case 'NOK' :
            $currency_symbol = '&#107;&#114;';
            break;
        case 'NPR' :
            $currency_symbol = 'रू';
            break;
        case 'PHP' :
            $currency_symbol = '&#8369;';
            break;
        case 'PLN' :
            $currency_symbol = '&#122;&#322;';
            break;
        case 'PYG' :
            $currency_symbol = '&#8370;';
            break;
        case 'RON' :
            $currency_symbol = 'lei';
            break;
        case 'RUB' :
            $currency_symbol = '&#1088;&#1091;&#1073;.';
            break;
        case 'SEK' :
            $currency_symbol = '&#107;&#114;';
            break;
        case 'THB' :
            $currency_symbol = '&#3647;';
            break;
        case 'TRY' :
            $currency_symbol = '&#8378;';
            break;
        case 'TWD' :
            $currency_symbol = '&#78;&#84;&#36;';
            break;
        case 'UAH' :
            $currency_symbol = '&#8372;';
            break;
        case 'VND' :
            $currency_symbol = '&#8363;';
            break;
        case 'ZAR' :
            $currency_symbol = '&#82;';
            break;
        default :
            $currency_symbol = $currency;
            break;
    }
    return $currency_symbol;
}
?>